﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

namespace FileMonitor.Configuration.Tool.Controls.Prototype
{
    public class DBEditorArgs : EventArgs
    {
        private readonly string _connString;
        private readonly string _dbName;
        private readonly Mode _mode;

        public string ConnString
        {
            get { return this._connString; }
        }

        public string DababaseName
        {
            get { return this._dbName; }
        }
        public Mode Mode
        {
            get { return this._mode; }
        }

        public DBEditorArgs(string dbName, string connstring, Mode mode)
        {
            this._dbName = dbName;
            this._connString = connstring;
            this._mode = mode;

        }

    }
}
