﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Collections.Specialized;

namespace FileMonitor.Configuration.Tool.Controls.Prototype
{
    public class ProccessArgs : EventArgs
    {
        private readonly string _processName;
        private readonly NameValueCollection _normalConfig;
        private readonly NameValueCollection _extendableConfig;


        public string ProcessName
        {
            get { return this._processName; }
        }

        public NameValueCollection NormalConfig
        {
            get { return this._normalConfig; }
        }

        public NameValueCollection ExtendableConfig
        {
            get { return this._extendableConfig; }
        }

        public ProccessArgs(string ProcessName, NameValueCollection NormalConfig, NameValueCollection ExtendableConfig)
        {
            this._processName = ProcessName;
            this._normalConfig = NormalConfig;
            this._extendableConfig = ExtendableConfig;
        }
    }
}
