﻿
namespace FileMonitor.Configuration.Prototype
{
    public abstract class CSharpProcessBase : Prototype.BizProcess.BizProcessBase
    {
        public CSharpProcessBase(string Name)
            : base(Name)
        { }

        private string _sourceDatabaseName;
        private string _targetDataBase;
        private string _timeOut;

        public string SourceDatabaseName
        {
            get { return this._sourceDatabaseName; }
            set { this._sourceDatabaseName = value; }
        }

        public string TargetDataBase
        {
            get { return this._targetDataBase; }
            set { this._targetDataBase = value; }
        }


        public string TimeOut
        {
            get { return this._timeOut; }
            set { this._timeOut = value; }
        }
    }
}
