﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using FileMonitor.Service.Provider.FileMonitor;
using FileMonitor.Service.ProcessMonitor.Model;
using System.IO;
using FileInfo = FileMonitor.Service.ProcessMonitor.Model.FileInfo;

namespace FileMonitor.Service.ProcessMonitor
{
    public abstract class ProcessStateMonitorBase
    {
        
        public

        void RemoveFileInfo(string originalFilePath, FileMonitorBase process);
        void AddNewFile(string fullFilePath, FileMonitorBase process);
        void CompleteFile(string originalFilePath, string newFilePath, FileMonitorBase process);
        void LogErrorFile(string originalFilePath, string newFilePath, FileMonitorBase process, string errorMessage);
    }
}
