﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Diagnostics;
using System.Linq;
using System.ServiceProcess;
using System.Text;

namespace FileMonitor.Service
{
    public partial class Service : ServiceBase
    {
        public Service()
        {
            InitializeComponent();
        }

        protected override void OnStart(string[] args)
        {
            FileMonitor.ProcessManager.StartProcesses();
            FileMonitor.Service.ProcessMonitor.Manager.ServiceOperationManager.Instance.StartService();
        }

        protected override void OnStop()
        {
            FileMonitor.ProcessManager.StopProcesses();
            FileMonitor.Service.ProcessMonitor.Manager.ServiceOperationManager.Instance.StopService();
        }
    }
}
