﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using FileMonitor.Service.Prototype;

namespace FileMonitor.Service.Tracking
{
    public interface ITracking
    {
        void StartProcess(FileMonitorBase process);
        void StopProcess(FileMonitorBase process);
        void InsertNewFile(FileMonitorBase process, string filePath);
        void CompleteFile(FileMonitorBase process, string filePath);
        void PreocessErrorFile(FileMonitorBase process, string filePath, Exception ex);

        string TrackingName { get; }

        int OrderNo { get; }
    }
}
