﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

namespace FileUtility.ExceptionExt
{
    public class DBSaveException:SysException
    {
        public DBSaveException(string message)
            : base(message)
        {

        }

        public DBSaveException(string message, Exception innerException)
            : base(message, innerException)
        {

        }

        public override ExceptionCode ExceptionCode
        {
            get
            {
                return ExceptionCode.FileContentReadException;
            }
        }
    }
}
