﻿using System.Collections.Specialized;
using FileMonitor.Configuration.Prototype;
namespace MonitorProvider.Prototype
{
    public abstract class ProcessFileBase
    {
        protected PlantProcessConfiguration plantProcessConfiguration;
        protected ProcessType _processType;

        public virtual void Initialize(PlantProcessConfiguration plantProcessConfig)
        {
            this.plantProcessConfiguration = plantProcessConfig;
            this._processType = plantProcessConfig.ProcessType;
        }
        /// <summary>
        /// 
        /// </summary>
        /// <param name="PlantCode"></param>
        /// <param name="FileName"></param>
        /// <param name="filePath"></param>
        /// <param name="isLastFile"></param>
        /// <returns> A Biz Task</returns>
        public abstract  NameValueCollection ProcessFile(string PlantCode,string FileName,string filePath,ref bool isLastFile);
    }
}
