﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Reflection;

namespace TXTMonitor
{
    public enum ProcessType
    {
        FTP,
        ExChangeDB
    }
    public class ProcessFactory
    {
        public static ProcessFileBase CreateProcess(ProcessType processType)
        {
            if (processType.ToString() == "FTP")
            {
                object obj = Activator.CreateInstance(typeof(DespatchFTPProcess));
                ProcessFileBase ftpPro = obj as ProcessFileBase;
                 return ftpPro;
               
            }
            else if (processType.ToString() == "ExChangeDB")
            {
                object obj = Activator.CreateInstance(typeof(SaveDBProcess));
                ProcessFileBase dbPro = obj as ProcessFileBase;
                return dbPro;
            }
            else
            {
                return null;
            }
        }
    }
}
