﻿using FileUtility;
using Microsoft.VisualStudio.TestTools.UnitTesting;
using System;
using Microsoft.Practices.EnterpriseLibrary.Data.Sql;
using System.Data;

namespace TestProject
{
    
    
    /// <summary>
    ///This is a test class for DBUtilityDataControllerTest and is intended
    ///to contain all DBUtilityDataControllerTest Unit Tests
    ///</summary>
    [TestClass()]
    public class DBUtilityDataControllerTest
    {


        private TestContext testContextInstance;

        /// <summary>
        ///Gets or sets the test context which provides
        ///information about and functionality for the current test run.
        ///</summary>
        public TestContext TestContext
        {
            get
            {
                return testContextInstance;
            }
            set
            {
                testContextInstance = value;
            }
        }

        #region Additional test attributes
        // 
        //You can use the following additional attributes as you write your tests:
        //
        //Use ClassInitialize to run code before running the first test in the class
        //[ClassInitialize()]
        //public static void MyClassInitialize(TestContext testContext)
        //{
        //}
        //
        //Use ClassCleanup to run code after all tests in a class have run
        //[ClassCleanup()]
        //public static void MyClassCleanup()
        //{
        //}
        //
        //Use TestInitialize to run code before running each test
        //[TestInitialize()]
        //public void MyTestInitialize()
        //{
        //}
        //
        //Use TestCleanup to run code after each test has run
        //[TestCleanup()]
        //public void MyTestCleanup()
        //{
        //}
        //
        #endregion


        /// <summary>
        ///A test for CheckIsLastFile
        ///</summary>
        [TestMethod()]
        public void CheckIsLastFileTest() 
        {
            SqlDatabase db = new SqlDatabase("Database=SAPExchangeDB;Server=10.157.45.88;User Id=sa;Password=Aa000000;"); // TODO: Initialize to an appropriate value
            Guid batchId = new Guid("7deed591-c648-41ee-8735-07f4b591cc46"); // TODO: Initialize to an appropriate value
            bool expected = true; // TODO: Initialize to an appropriate value
            bool actual;
            actual = DBUtility.CheckIsLastFile(db, batchId);
            Assert.AreEqual(expected, actual);
     
        }

        /// <summary>
        ///A test for UpdateStatus
        ///</summary>
        [TestMethod()]
        public void UpdateStatusTest()
        {
            SqlDatabase db = new SqlDatabase("Database=SAPExchangeDB;Server=10.157.45.88;User Id=sa;Password=Aa000000;"); // TODO: Initialize to an appropriate value
            Guid batchId = new Guid("7deed591-c648-41ee-8735-07f4b591cc46"); // TODO: Initialize to an appropriate value
            int status = 2; // TODO: Initialize to an appropriate value
            DBUtility.UpdateStatus(db, batchId, status);
           
        }

         
    }
}
