﻿using FileMonitor.Service.Adapter;
using Microsoft.VisualStudio.TestTools.UnitTesting;
using System;
using FileMonitor.Configuration.Prototype;
using FileMonitor.Service.Provider.FileMonitor;

namespace TestProject
{
    
    
    /// <summary>
    ///This is a test class for FileMonitorProcessBaseAdpterDataControllerTest and is intended
    ///to contain all FileMonitorProcessBaseAdpterDataControllerTest Unit Tests
    ///</summary>
    [TestClass()]
    public class FileMonitorProcessBaseAdpterDataControllerTest
    {


        private TestContext testContextInstance;

        /// <summary>
        ///Gets or sets the test context which provides
        ///information about and functionality for the current test run.
        ///</summary>
        public TestContext TestContext
        {
            get
            {
                return testContextInstance;
            }
            set
            {
                testContextInstance = value;
            }
        }

        #region Additional test attributes
        // 
        //You can use the following additional attributes as you write your tests:
        //
        //Use ClassInitialize to run code before running the first test in the class
        //[ClassInitialize()]
        //public static void MyClassInitialize(TestContext testContext)
        //{
        //}
        //
        //Use ClassCleanup to run code after all tests in a class have run
        //[ClassCleanup()]
        //public static void MyClassCleanup()
        //{
        //}
        //
        //Use TestInitialize to run code before running each test
        //[TestInitialize()]
        //public void MyTestInitialize()
        //{
        //}
        //
        //Use TestCleanup to run code after each test has run
        //[TestCleanup()]
        //public void MyTestCleanup()
        //{
        //}
        //
        #endregion


        /// <summary>
        ///A test for FileMonitorProcessBaseAdpter Constructor
        ///</summary>
        [TestMethod()]
        public void FileMonitorProcessBaseAdpterConstructorTest()
        {
            FileMonitorProcessBaseAdpter target = new FileMonitorProcessBaseAdpter();
       //     Assert.Inconclusive("TODO: Implement code to verify target");
        }

        /// <summary>
        ///A test for ConvertFromWorkProcessBase
        ///</summary>
        [TestMethod()]
        public void ConvertFromWorkProcessBaseTest() 
        {
            string XMLPath = @"E:\Dev Version Manage\FileMonitor V2.2\FileMonitor.Service\AppConfig.xml"; // TODO: Initialize to an appropriate value
            FileMonitor.Configuration.Providers.XMLProvider provider = new FileMonitor.Configuration.Providers.XMLProvider(XMLPath);
            WorkProcessBase workProcessBase = provider.GetAllWorkProcess()["MonitorHPForecast2003"]; // TODO: Initialize to an appropriate value
          //  FileMonitorBase expected = null; // TODO: Initialize to an appropriate value
            FileMonitorBase actual;
            actual = FileMonitorProcessBaseAdpter.ConvertFromWorkProcessBase(workProcessBase);
            Assert.AreEqual("MonitorHPForecast2003", actual.Name);
            
          //  Assert.Inconclusive("Verify the correctness of this test method.");
        }
    }
}
