﻿using FileMonitor.Service.ProcessMonitor.Util;
using Microsoft.VisualStudio.TestTools.UnitTesting;
using System;
using FileMonitor.Service.ProcessMonitor.Model;

namespace TestProject
{
    
    
    /// <summary>
    ///This is a test class for FileUtilDataControllerTest and is intended
    ///to contain all FileUtilDataControllerTest Unit Tests
    ///</summary>
    [TestClass()]
    public class FileUtilDataControllerTest
    {


        private TestContext testContextInstance;

        /// <summary>
        ///Gets or sets the test context which provides
        ///information about and functionality for the current test run.
        ///</summary>
        public TestContext TestContext
        {
            get
            {
                return testContextInstance;
            }
            set
            {
                testContextInstance = value;
            }
        }

        #region Additional test attributes
        // 
        //You can use the following additional attributes as you write your tests:
        //
        //Use ClassInitialize to run code before running the first test in the class
        //[ClassInitialize()]
        //public static void MyClassInitialize(TestContext testContext)
        //{
        //}
        //
        //Use ClassCleanup to run code after all tests in a class have run
        //[ClassCleanup()]
        //public static void MyClassCleanup()
        //{
        //}
        //
        //Use TestInitialize to run code before running each test
        //[TestInitialize()]
        //public void MyTestInitialize()
        //{
        //}
        //
        //Use TestCleanup to run code after each test has run
        //[TestCleanup()]
        //public void MyTestCleanup()
        //{
        //}
        //
        #endregion


        /// <summary>
        ///A test for GenerateFileInfo
        ///</summary>
        [TestMethod()]
        public void GenerateFileInfoTest()
        {
            string fullFilePath = @"D:\1.txt"; // TODO: Initialize to an appropriate value
            FileState fileState = FileState.ToBeProcess; // TODO: Initialize to an appropriate value
            FileInfo actual;
            actual = FileUtil.GenerateFileInfo(fullFilePath, fileState);
            Assert.AreEqual(actual, null);
            
        }

        /// <summary>
        ///A test for GenerateFileInfo
        ///</summary>
        [TestMethod()]
        public void GenerateFileInfoTest1()
        {
            string fullFilePath = @"D:\Data\IPPD015\AHEH.FFL.MATREQ006.20101209234029(78_2).DONE.txt"; // TODO: Initialize to an appropriate value
            FileState fileState = FileState.ToBeProcess; // TODO: Initialize to an appropriate value
            //FileInfo expected = null; // TODO: Initialize to an appropriate value
            FileInfo actual;
            actual = FileUtil.GenerateFileInfo(fullFilePath, fileState);
            Assert.AreEqual(fileState, actual.State);
            Console.WriteLine(actual.Size);
        }
    }
}
