﻿using FileMonitor.Configuration.Providers;
using Microsoft.VisualStudio.TestTools.UnitTesting;
using System;
using Microsoft.Practices.EnterpriseLibrary.Data.Sql;
using FileMonitor.Configuration.Prototype;
using System.Collections.Generic;

namespace TestProject
{
    
    
    /// <summary>
    ///This is a test class for PlantProcessConfigurationProviderDataControllerTest and is intended
    ///to contain all PlantProcessConfigurationProviderDataControllerTest Unit Tests
    ///</summary>
    [TestClass()]
    public class PlantProcessConfigurationProviderDataControllerTest
    {


        private TestContext testContextInstance;

        /// <summary>
        ///Gets or sets the test context which provides
        ///information about and functionality for the current test run.
        ///</summary>
        public TestContext TestContext
        {
            get
            {
                return testContextInstance;
            }
            set
            {
                testContextInstance = value;
            }
        }

        #region Additional test attributes
        // 
        //You can use the following additional attributes as you write your tests:
        //
        //Use ClassInitialize to run code before running the first test in the class
        //[ClassInitialize()]
        //public static void MyClassInitialize(TestContext testContext)
        //{
        //}
        //
        //Use ClassCleanup to run code after all tests in a class have run
        //[ClassCleanup()]
        //public static void MyClassCleanup()
        //{
        //}
        //
        //Use TestInitialize to run code before running each test
        //[TestInitialize()]
        //public void MyTestInitialize()
        //{
        //}
        //
        //Use TestCleanup to run code after each test has run
        //[TestCleanup()]
        //public void MyTestCleanup()
        //{
        //}
        //
        #endregion


        /// <summary>
        ///A test for GetPlantProcessConfiguration
        ///</summary>
        [TestMethod()]
        public void GetPlantProcessConfigurationTest()
        {
            PlantProcessConfigurationProvider target = new PlantProcessConfigurationProvider(); // TODO: Initialize to an appropriate value
            SqlDatabase db = new SqlDatabase("Database=SAPExchangeDB;Server=10.145.32.73,3000;User Id=scmuser;Password=doit@now;");
            string PlantCode = "AHEH"; // TODO: Initialize to an appropriate value
            string DataType = "DGoodsMovementROP"; // TODO: Initialize to an appropriate value
            //List<PlantProcessConfiguration> expected = null; // TODO: Initialize to an appropriate value
            List<PlantProcessConfiguration> actual;
            actual = target.GetPlantProcessConfiguration(db, PlantCode, DataType);
            Assert.AreEqual(2100, actual[0].FTPPort);
             
        }
    }
}
