﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

namespace FileMonitor.Configuration.Tool.Controls.Prototype
{
    public class KeyValueSaveArgs : EventArgs
    {
        private readonly string _key;
        private readonly string _value;

        public string Key
        {
            get { return this._key; }
        }

        public string Value
        {
            get { return this._value; }
        }

        public KeyValueSaveArgs(string key, string value)
        {
            this._key = key;
            this._value = value;
        }

    }
}
