﻿using System;
using System.ComponentModel;
using System.Drawing;
using System.Drawing.Design;
using System.Runtime.Serialization;
using System.Windows.Forms;
namespace FileMonitor.Configuration.Tool.Controls
{
    public class TreeNodeExt:TreeNode
    {

       private string _value;

        public TreeNodeExt()
            :base(){}
     
        public TreeNodeExt(string text)
            :base(text){}

        protected TreeNodeExt(SerializationInfo serializationInfo, StreamingContext context)
            : base(serializationInfo, context) { }
      
        public TreeNodeExt(string text, TreeNode[] children)
            :base(text,children){}

        public TreeNodeExt(string text, int imageIndex, int selectedImageIndex)
            : base(text, imageIndex, selectedImageIndex) { }

        public TreeNodeExt(string text, int imageIndex, int selectedImageIndex, TreeNode[] children)
            : base(text, imageIndex, selectedImageIndex, children) { }

        public string Value
        {
            get{return this._value;}
            set { this._value = value; }
        }
    }
}
