﻿using System;
using System.Collections.Generic;
using System.Collections.Specialized;

namespace FileMonitor.Configuration.Prototype
{
    public class WorkProcessBase
    {
        private string _name;
        private Type _baseType;
        private NameValueCollection _extendableConfig;
        private Dictionary<int,BizProcess.BizProcessBase> _bizProcesses;
       
        public WorkProcessBase(string Name)
        {
            this._name = Name;
            this._extendableConfig = new NameValueCollection();
            this._bizProcesses = new Dictionary<int, BizProcess.BizProcessBase>();
        }

        public string Name 
        {
            get { return this._name; }
        }

        public NameValueCollection ExtendableConfig
        {
            get { return this._extendableConfig; }
            set { this._extendableConfig = value; }
        }

        public Dictionary<int, BizProcess.BizProcessBase> BizProcesses
        {
            get { return this._bizProcesses; }
            set { this._bizProcesses = value; }
        }

        public Type TypeValue
        {
            get { return this._baseType; }
            set { this._baseType= value; }
        }

       
    }
}
