﻿using System.Collections.Generic;
using System.ServiceModel;
using FileMonitor.Service.Prototype;
using FileMonitor.Service.ProcessMonitor.Model;
namespace FileMonitor.Service.ProcessMonitor.Contract
{
    [ServiceContract]
    public interface IMonitorProcessService
    {
        [OperationContract]
        Dictionary<string, MonitorProcessInfo> GetAllProcessInfo();

        [OperationContract]
        OperationResult ReStartProcess(string processName);

        [OperationContract]
        OperationResult StartProcess(string processName);

        [OperationContract]
        OperationResult StopProcess(string processName);

        [OperationContract]
        OperationResult ReverseFile(FileInfo fi, string processName);

        [OperationContract]
        OperationResult RefreshProcesses();
    }
}
