﻿using System.Collections.Specialized;
using FileMonitor.Service.Prototype;
namespace FileMonitor.Service.Provider.ProcessProvider
{
    public abstract class FileMonitorProcessProviderBase
    {
        private bool _isInitialize = false;
        public abstract FileProcessProviderCollection GetAllProcess();
        public abstract void LockProcess(FileMonitorBase process);

        public virtual void Initialize(NameValueCollection config)
        {
            
            this._isInitialize = true;
        }

        public bool IsInitialize
        {
            get { return this._isInitialize; }
        }
    }
}
