﻿using System;
namespace FileUtility.ExceptionExt
{
    public class ConfigurationException : SysException
    {
        public string GroupName { get;private set; }
        public string SectionName { get; private set; }
        public string AttributeName { get; private set; }
        public string AlertMsg { get; private set; }

        public ConfigurationException(string groupName, string sectionName, string attributeName, string alertMsg):base(alertMsg)
        {
            this.GroupName = GroupName;
            this.SectionName = SectionName;
            this.AttributeName = AttributeName;
            this.AlertMsg = AlertMsg;
        }

      
        public override ExceptionCode ExceptionCode
        {
            get
            {
                return ExceptionCode.ConfigurationException;
            }
        }

    }
}
