﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Collections.Specialized;
using FileMonitor.Configuration.Prototype;
namespace MonitorProvider.Prototype.FileReader
{
   
    public abstract class FileReaderBase
    {
        private FileProcessConfiguration _fileProcessConfiguration;
        protected FileType _fileType;
       public virtual void Initialize(FileType fileType,FileProcessConfiguration fileProcessConfig)
       {
           this._fileType = fileType;
           this._fileProcessConfiguration = fileProcessConfig;
       }

       public FileReaderBase() { }
       public abstract object GetFileProcessedResult(string fileName, System.Data.DataTable dtScheml, Guid batchId);
    }
}
