﻿using FileMonitor.Configuration.Prototype;
using Microsoft.VisualStudio.TestTools.UnitTesting;
using System;
using System.Collections.Specialized;

namespace TestProject
{
    
    
    /// <summary>
    ///This is a test class for FileProcessConfigurationDataControllerTest and is intended
    ///to contain all FileProcessConfigurationDataControllerTest Unit Tests
    ///</summary>
    [TestClass()]
    public class FileProcessConfigurationDataControllerTest
    {


        private TestContext testContextInstance;

        /// <summary>
        ///Gets or sets the test context which provides
        ///information about and functionality for the current test run.
        ///</summary>
        public TestContext TestContext
        {
            get
            {
                return testContextInstance;
            }
            set
            {
                testContextInstance = value;
            }
        }

        #region Additional test attributes
        // 
        //You can use the following additional attributes as you write your tests:
        //
        //Use ClassInitialize to run code before running the first test in the class
        //[ClassInitialize()]
        //public static void MyClassInitialize(TestContext testContext)
        //{
        //}
        //
        //Use ClassCleanup to run code after all tests in a class have run
        //[ClassCleanup()]
        //public static void MyClassCleanup()
        //{
        //}
        //
        //Use TestInitialize to run code before running each test
        //[TestInitialize()]
        //public void MyTestInitialize()
        //{
        //}
        //
        //Use TestCleanup to run code after each test has run
        //[TestCleanup()]
        //public void MyTestCleanup()
        //{
        //}
        //
        #endregion


        /// <summary>
        ///A test for Initialize
        ///</summary>
        [TestMethod()]
        public void InitializeTest()
        {
            FileProcessConfiguration target = new FileProcessConfiguration(); // TODO: Initialize to an appropriate value
            NameValueCollection allConfigs = new NameValueCollection(); // TODO: Initialize to an appropriate value
            allConfigs["SplitArr"] = "31,25,3";
            allConfigs["Name"] = "TestProcess";
            target.Initialize(allConfigs);
            Assert.AreEqual(target.SplitFlag, SplitFlag.LENGTH);
             
        }
    }
}
