﻿using FileUtility;
using Microsoft.VisualStudio.TestTools.UnitTesting;
using System;
using System.Data;
using Microsoft.Practices.EnterpriseLibrary.Data;

namespace TestProject
{
    
    
    /// <summary>
    ///This is a test class for FileUtilityDataControllerTest and is intended
    ///to contain all FileUtilityDataControllerTest Unit Tests
    ///</summary>
    [TestClass()]
    public class FileUtilityDataControllerTest
    {


        private TestContext testContextInstance;

        /// <summary>
        ///Gets or sets the test context which provides
        ///information about and functionality for the current test run.
        ///</summary>
        public TestContext TestContext
        {
            get
            {
                return testContextInstance;
            }
            set
            {
                testContextInstance = value;
            }
        }

        #region Additional test attributes
        // 
        //You can use the following additional attributes as you write your tests:
        //
        //Use ClassInitialize to run code before running the first test in the class
        //[ClassInitialize()]
        //public static void MyClassInitialize(TestContext testContext)
        //{
        //}
        //
        //Use ClassCleanup to run code after all tests in a class have run
        //[ClassCleanup()]
        //public static void MyClassCleanup()
        //{
        //}
        //
        //Use TestInitialize to run code before running each test
        //[TestInitialize()]
        //public void MyTestInitialize()
        //{
        //}
        //
        //Use TestCleanup to run code after each test has run
        //[TestCleanup()]
        //public void MyTestCleanup()
        //{
        //}
        //
        #endregion


        /// <summary>
        ///A test for ReadFileContentToDataTable
        ///</summary>
        [TestMethod()]
        public void ReadFileContentToDataTableTest()
        {
            string filePath = @"D:\SICT\RFXCZ00D_20110106_20110107.RFX"; // TODO: Initialize to an appropriate value
            DataTable dtTarget = new DataTable();
           dtTarget= FileUtility.DBUtility.GetDataTableNoData(new Microsoft.Practices.EnterpriseLibrary.Data.Sql.SqlDatabase("Database=SAPExchangeDB;Server=10.145.32.73,3000;User Id=scmuser;Password=doit@now;"), "SAPForecastCZ");
           Guid batchId = new Guid("039fb6ca-c2b8-483e-b8ba-7ee0b013778f");
            int[] columnLengthArr = { 36, 1, 4, 8, 2, 16, 4, 4, 12, 8, 8 }; // TODO: Initialize to an appropriate value
            DataTable actual;
            actual = FileUtility.FileUtility.ReadFileContentToDataTable(filePath, dtTarget, batchId, columnLengthArr);
            Assert.AreEqual(batchId.ToString(), actual.Rows[0][0].ToString());
        }
    }
}
